cdac.medinfo.ccd.datatype

## Class EIVLPPDTS

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.QTY
    - - cdac.medinfo.ccd.datatype.TS
      - - cdac.medinfo.ccd.datatype.PPDTS
        - - cdac.medinfo.ccd.datatype.SXCMPPDTS
          - - cdac.medinfo.ccd.datatype.EIVLPPDTS

- All Implemented Interfaces:
    java.io.Serializable

      public class EIVLPPDTS
      extends SXCMPPDTS

  Note: because this type is defined as an extension of SXCM_T, all of the attributes and elements accepted for T are also accepted by this definition. However, they are NOT allowed by the normative description of this type. Unfortunately, we cannot write a general purpose schematron contraints to provide that extra validation, thus applications must be aware that instance (fragments) that pass validation with this might might still not be legal.

  Java class for EIVL_PPD_TS complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EIVL_PPD_TS">
         <complexContent>
           <extension base="{urn:hl7-org:v3}SXCM_PPD_TS">
             <sequence>
               <element name="event" type="{urn:hl7-org:v3}EIVL.event" minOccurs="0"/>
               <element name="offset" type="{urn:hl7-org:v3}IVL_PPD_PQ" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EIVLPPDTS()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EIVLEvent` | `getEvent()` Gets the value of the event property.
    `IVLPPDPQ` | `getOffset()` Gets the value of the offset property.
    `void` | `setEvent(EIVLEvent value)` Sets the value of the event property.
    `void` | `setOffset(IVLPPDPQ value)` Sets the value of the offset property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.SXCMPPDTS

      `getOperator, setOperator`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.PPDTS

      `getDistributionType, getStandardDeviation, setDistributionType, setStandardDeviation`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.TS

      `getValue, setValue`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EIVLPPDTS

          public EIVLPPDTS()

  - ### Method Detail

    - #### getEvent

          public EIVLEvent getEvent()

      Gets the value of the event property.
      Returns:
        possible object is `EIVLEvent`

    - #### setEvent

          public void setEvent(EIVLEvent value)

      Sets the value of the event property.
      Parameters:
        `value` - allowed object is `EIVLEvent`

    - #### getOffset

          public IVLPPDPQ getOffset()

      Gets the value of the offset property.
      Returns:
        possible object is `IVLPPDPQ`

    - #### setOffset

          public void setOffset(IVLPPDPQ value)

      Sets the value of the offset property.
      Parameters:
        `value` - allowed object is `IVLPPDPQ`